gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Main loop event processing class. Like all GUI toolkits, GTK+ uses an event-driven programming model. When the user is doing nothing, GTK+ sits in the main loop and waits for input. If the user performs some action - say, a mouse click - then the main loop "wakes up" and delivers an event to GTK+. GTK+ forwards the event to one or more widgets.

When widgets receive an event, they frequently emit one or more signals. Signals notify your program that "something interesting happened" by invoking functions you've connected to the signal with g_signal_connect(). Functions connected to a signal are often termed callbacks.

When your callbacks are invoked, you would typically take some action - for example, when an Open button is clicked you might display a GtkFileSelectionDialog. After a callback finishes, GTK+ will return to the main loop and await more user input.

- Constructor
  2.12.0.0
  Public constructor.
- Method
  2.12.0.0
  System.Void `` An event to process (normally) passed by GDK. Processes a single Gdk Event. Processes a single GDK event. This is public only to allow filtering of events between GDK and GTK+. You will not usually need to call this function directly.
- Method
  2.12.0.0
  System.Boolean Runs an iteration of the main loop: blocks until an event is received. if the method was called to terminate the innermost main loop. Runs a single iteration of the main loop. If no events are waiting to be processed Gtk# will block until the next event is noticed. If you don't want to block look at or check if any events are pending with first.
- Method
  2.12.0.0
  System.Boolean `` if you want Gtk# to block if no events are pending. Runs one iteration of the main loop. Returns if the method was invoked to terminate the innermost loop. Runs a single iteration of the mainloop. If no events are available either return or block dependent on the value of blocking.
- Method
  2.12.0.0
  System.UInt32 Returns the current main loop level. The nesting level of the current main loop. Asks for the current nesting level of the main loop. This can be useful when calling the method.
- Method
  2.12.0.0
  System.Void Terminates the innermost main loop. This terminates the innermost main loop.